Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1213 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

[patch] fast frame corruption

Reported by: jirif <jiri.fojtasek@hlohovec.net> Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: 802.11 stack Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

When tunneled "fast frames" have diferent ether_type, second tunneled frame get corrupted. This cause high packetloss when different ether_type frames are send too offten. For example this affecting bridged network with lots of nodes (High propability of ARP,IPV4 frame combination).

Second chnge in diff is only cosmetic :)

Signed-off-by: Jiri Fojtasek <jiri.fojtasek@hlohovec.net>

Attachments

athff-corruption.diff (0.8 kB) - added by jirif <jiri.fojtasek@hlohovec.net> on 03/22/07 12:26:35.
the patch
athff-corruption.2.diff (0.8 kB) - added by jirif <jiri.fojtasek@hlohovec.net> on 03/23/07 15:59:53.
Signed-off-by: Jiri Fojtasek <jiri.fojtasek@hlohovec.net>

Change History

03/22/07 12:26:35 changed by jirif <jiri.fojtasek@hlohovec.net>

  • attachment athff-corruption.diff added.

the patch

03/22/07 16:29:03 changed by mrenzmann

Thanks. The patch needs to be signed off before it can be committed.

03/23/07 15:59:53 changed by jirif <jiri.fojtasek@hlohovec.net>

  • attachment athff-corruption.2.diff added.

Signed-off-by: Jiri Fojtasek <jiri.fojtasek@hlohovec.net>

05/15/07 01:27:41 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

Applied as r2337; I'm claiming it has no copyrightable content, as I didn't put the sign off in the commit log.

05/15/07 06:42:37 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:16:42 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.